CVE-2003-0144
CVSS7.2
发布时间 :2003-03-31 00:00:00
修订时间 :2016-10-17 22:30:05
NMCOES    

[原文]Buffer overflow in the lprm command in the lprold lpr package on SuSE 7.1 through 7.3, OpenBSD 3.2 and earlier, and possibly other operating systems, allows local users to gain root privileges via long command line arguments such as (1) request ID or (2) user name.


[CNNVD]Vendor LPRM多个本地缓冲区溢出漏洞(CNNVD-200303-087)

        SuSE 7.1到7.3版本,以及OpenBSD 3.2及其更早版本,可能还包括其他操作系统中的lprold lpr数据包的lprm命令存在缓冲区溢出漏洞。本地用户可以借助超长命令参数行如(1)request ID,或(2)user name获取根权限。

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:openbsd:openbsd:2.9OpenBSD 2.9
cpe:/o:openbsd:openbsd:2.8OpenBSD 2.8
cpe:/o:openbsd:openbsd:2.5OpenBSD 2.5
cpe:/o:openbsd:openbsd:2.4OpenBSD 2.4
cpe:/o:freebsd:freebsd:2.2.3FreeBSD 2.2.3
cpe:/o:openbsd:openbsd:2.1OpenBSD 2.1
cpe:/o:openbsd:openbsd:3.0OpenBSD 3.0
cpe:/o:freebsd:freebsd:2.2.2FreeBSD 2.2.2
cpe:/o:openbsd:openbsd:2.0OpenBSD 2.0
cpe:/o:openbsd:openbsd:2.7OpenBSD 2.7
cpe:/o:openbsd:openbsd:2.6OpenBSD 2.6
cpe:/o:openbsd:openbsd:2.3OpenBSD 2.3
cpe:/o:openbsd:openbsd:3.2OpenBSD 3.2
cpe:/o:openbsd:openbsd:2.2OpenBSD 2.2
cpe:/o:openbsd:openbsd:3.1OpenBSD 3.1
cpe:/o:bsd:lpr:2000-05-07
cpe:/o:freebsd:freebsd:2.2FreeBSD 2.2
cpe:/o:freebsd:freebsd:2.2.5FreeBSD 2.2.5
cpe:/o:bsd:lpr:0.48
cpe:/o:freebsd:freebsd:2.2.4FreeBSD 2.2.4
cpe:/o:freebsd:freebsd:2.2.6FreeBSD 2.2.6
cpe:/a:lprold:lprold:3.0.48

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-0144
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2003-0144
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200303-087
(官方数据源) CNNVD

- 其它链接及资源

ftp://ftp.openbsd.org/pub/OpenBSD/patches/3.2/common/010_lprm.patch
(UNKNOWN)  CONFIRM  ftp://ftp.openbsd.org/pub/OpenBSD/patches/3.2/common/010_lprm.patch
ftp://patches.sgi.com/support/free/security/advisories/20030406-02-P
(UNKNOWN)  SGI  20030406-02-P
http://marc.info/?l=bugtraq&m=104690434504429&w=2
(UNKNOWN)  BUGTRAQ  20030305 potential buffer overflow in lprm (fwd)
http://marc.info/?l=bugtraq&m=104714441925019&w=2
(UNKNOWN)  BUGTRAQ  20030308 OpenBSD lprm(1) exploit
http://www.debian.org/security/2003/dsa-267
(UNKNOWN)  DEBIAN  DSA-267
http://www.debian.org/security/2003/dsa-275
(UNKNOWN)  DEBIAN  DSA-275
http://www.mandriva.com/security/advisories?name=MDKSA-2003:059
(UNKNOWN)  MANDRAKE  MDKSA-2003:059
http://www.novell.com/linux/security/advisories/2003_014_lprold.html
(UNKNOWN)  SUSE  SuSE-SA:2003:0014
http://www.securityfocus.com/bid/7025
(VENDOR_ADVISORY)  BID  7025
http://xforce.iss.net/xforce/xfdb/11473
(VENDOR_ADVISORY)  XF  lprm-bo(11473)

- 漏洞信息

Vendor LPRM多个本地缓冲区溢出漏洞
高危 缓冲区溢出
2003-03-31 00:00:00 2005-10-20 00:00:00
本地  
        SuSE 7.1到7.3版本,以及OpenBSD 3.2及其更早版本,可能还包括其他操作系统中的lprold lpr数据包的lprm命令存在缓冲区溢出漏洞。本地用户可以借助超长命令参数行如(1)request ID,或(2)user name获取根权限。

- 公告与补丁

        A patch for OpenBSD has been made available.
        SGI has released an advisory (20030406-01-P) containing fixes that address this issue. Users are advised to upgrade as soon as possible.
        Debian has revised its advisory. New fixes for Debian 2.2 (potato) are available. Please see the referenced advisory for further details.
        Mandrake has released a security advisory (MDKSA-2003:059) containing fixes which address this issue. Users are advised to upgrade as soon as possible.
        OpenBSD OpenBSD 3.2
        
        OpenBSD OpenBSD 3.1
        
        BSD lpr 2000.05.07
        
        BSD lpr 0.48
        
        BSD lpr 0.72
        
        lpr-ppd lpr-ppd 0.72
        

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站